function [sys,x0] = Logica_de_Chaveamento_Brushless(t,x,u,flag)
global T
switch flag,
	 
	case 0, % Inicializao das variveis
		sys    = [0 6 6 3 0 0]; % 6 estados discretos (GATES) 
                                % 6 saida   (GATES)  
                                % 3 entrada (SENSORES HALL)
                                
		x0     = 0;             % valores iniciais dos estados
		T      = 1e-4;          % tempo de amostragem
        
	case 2, % Update das variveis
        
        
        % Nomeando as entradas
        hall_1 = u(1); % sensor hall 1
        hall_2 = u(2); % sensor hall 2
        hall_3 = u(3); % sensor hall 3
        
        
        % sinal de gates para as chaves [g1 g2 g3 g4 g5 g6]
        GATES  = [0 0 0 0 0 0]; 
        
                
		sys    = GATES;
        
	
	case 3, % Sada
		sys    = x;
	
	case 4, % Prximo instante de Tempo ~(t+T) 
		ns     = t/T;
		sys    = (1 + floor(ns + 1e-13*(1+ns)))*T;
end	